workflow.svg file not found

Hello,

Are you trying to install KNIME Server, or KNIME AP in Linux?

Regards,
Nickolaus

Hi @NDekay I am trying to install KNIME AP in linux.

You do not need to install it, you can just unzip it into the desired folder.

Hi @Iris if I don’t install it how can I use the application?

KNIME is self-contained. If you download the zip file and unpack it into any folder, you just need to open the knime.exe file to run KNIME afterwards.

3 Likes

Thanks for that @Iris .

Hi @Iris I have downloaded and extracted the .tar.gz file. I tried executing knime from terminal using ./knime but I get an error as below.

CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-frontend-jaxrs (378) [org.apache.cxf.jaxrs.JAXRSBindingFactory]
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http (381) [org.apache.cxf.transport.http.HTTPTransportFactory, org.apache.cxf.transport.http.HTTPWSDLExtensionLoader, org.apache.cxf.transport.http.policy.HTTPClientAssertionBuilder, org.apache.cxf.transport.http.policy.HTTPServerAssertionBuilder, org.apache.cxf.transport.http.policy.NoOpPolicyInterceptorProvider]
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http-hc (382) [org.apache.cxf.transport.http.HTTPConduitFactory, org.apache.cxf.transport.ConduitInitiator]
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 378
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 381
Feb 12, 2021 10:32:00 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 382
Knime:
An error has occurred. See the log file
/opt/knime/knime_4.3.0/configuration/1613125918893.log.

The log file contains below.

eclipse.buildId=unknown
java.version=1.8.0_252
java.vendor=AdoptOpenJDK
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2021-02-12 10:32:00.563
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
        no swt-pi4-gtk-4932r18 in java.library.path
        no swt-pi4-gtk in java.library.path
        Can't load library: /root/.swt/lib/linux/x86_64/libswt-pi4-gtk-4932r18.so
        Can't load library: /root/.swt/lib/linux/x86_64/libswt-pi4-gtk.so

        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:342)
        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:256)
        at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:90)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
        at org.eclipse.swt.widgets.Display.<clinit>(Display.java:164)
        at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:760)
        at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:166)
        at org.knime.product.rcp.KNIMEApplication.createDisplay(KNIMEApplication.java:246)
        at org.knime.product.rcp.KNIMEApplication.start(KNIMEApplication.java:115)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
 at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:657)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:594)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1447)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1420)

Can you help let me know why this error is occuring.

Hi @Iris I have yum installed few packages and now I get below error.

CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
Knime: Cannot open display:
Knime: Cannot open display:
Knime:
An error has occurred. See the log file
/opt/knime/knime_4.3.0/configuration/1613131194619.log.

eclipse.buildId=unknown
java.version=1.8.0_252
java.vendor=AdoptOpenJDK
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2021-02-12 11:59:55.273
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: No more handles [gtk_init_check() failed]
        at org.eclipse.swt.SWT.error(SWT.java:4749)
        at org.eclipse.swt.widgets.Display.createDisplay(Display.java:1130)
        at org.eclipse.swt.widgets.Display.create(Display.java:1070)
        at org.eclipse.swt.graphics.Device.<init>(Device.java:175)
        at org.eclipse.swt.widgets.Display.<init>(Display.java:636)
        at org.eclipse.swt.widgets.Display.<init>(Display.java:627)
        at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:776)
        at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:166)
        at org.knime.product.rcp.KNIMEApplication.createDisplay(KNIMEApplication.java:246)
        at org.knime.product.rcp.KNIMEApplication.start(KNIMEApplication.java:115)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:657)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:594)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1447)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1420)

Can you please help how to solve this.

Hello,

Can you please try running sudo yum install libXScrnSaver if you have not already?

Thanks,
Zack

I have installed and I am getting the same error. @ztrubow

Hi @yash ,

What type of Linux distro are you running?

I found a few mentions of how to fix this
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
no swt-pi4-gtk-4932r18 in java.library.path
no swt-pi4-gtk in java.library.path
Can’t load library: /root/.swt/lib/linux/x86_64/libswt-pi4-gtk-4932r18.so
Can’t load library: /root/.swt/lib/linux/x86_64/libswt-pi4-gtk.so
if you could please try the following at the bottom of the article:

https://community.talend.com/s/feed/0D53p00007vCmfpCAC

or the second to last post on this forum explains what might be happening with mismatched packages:

Please let me know if these links do not help.

Thanks,
Zack

@ztrubow I am using amazon linux. The links shared were not of much help. Either few packages are not available or already installed but the error is same.

Hi @yash

In my experience, usually the error:

org.eclipse.swt.SWTError: No more handles [gtk_init_check() failed]

Indicates you are trying to open the KNIME GUI in a non-GUI system. Just by running ‘./knime’, it will try to open the KNIME interface, but the system cannot do it – thus you get the error.

If you are trying to use KNIME to build workflows, it makes sense to use it in a system you can open the interface.

If you want to run it as a headless application, you can also try to run ./knime with the -consolelog flag.

Yes you are right I am running KNIME in non-GUI system. So does that mean there is no way I can build workflows without GUI in my system? Can you please suggest any other alternatives if possible.

@yash are you using KNIME Server? Because this is the forum dedicated to KNIME Server based questions.

@Iris No I am using KNIME AP. This was tagged as KNIME server by mistake by one of the members.

No you cannot build KNIME Workflow without a GUI. You need to edit the workflows in the gui and later upload them.

Thanks @Iris I got GUI enabled and launched KNIME AP. For testing if everything was working fine I created a CSV Reader node and while configuring I don’t see anything displayed in the window for selecting path etc. Below is the screenshot how it looks like. Can you kindly suggest if something is missing.

Also when a node is selected I get below note in description window. Can you kindly throw some light regarding this.

image

I solved the issue from this answer. Thanks.

This topic was automatically closed 182 days after the last reply. New replies are no longer allowed.